file index is too big - discontinuing index

Bug #352441 reported by Paul on 2009-03-31
4
Affects Status Importance Assigned to Milestone
Tracker
Fix Committed
Undecided
Unassigned
tracker (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: tracker

Tracker started behaving strangely, not returning full results, etc. So I killed it and ran from the command line. Here's what I get

file index is too big - discontinuing index

I restarted Tracker using verbose 3 and have attached details. Here's some more below:

Index stats
Files: 55514
Folders: 5699
Documents: 3455
Images: 19839
Music: 2524
Videos: 1714
Text: 5486
Development: 5323
Other: 11474

Notable lines from attached file:
Opening index /home/paul/.cache/tracker/file-index.db
Bucket count (max is 524288) is 589811 and Record Count is 373234
Opening index /home/paul/.cache/tracker/file-update-index.db
Bucket count (max is 524288) is 589811 and Record Count is 16605
Opening index /home/paul/.cache/tracker/email-index.db
Bucket count (max is 524288) is 589811 and Record Count is 0

Where are the settings for the max bucket count above? Also, are they set at this limit for a reason and have I genuinely gone above the max, or is that the bug?

A reindex may solve, but I feel like this problem will likely reoccur. So maybe a more permanent solution is needed.

----
Ubuntu 8.10.
Up to date as of today.
Installed: 0.6.6-1ubuntu5.1

Paul (b01) wrote :
Martyn Russell (martyn-lanedo) wrote :

OK, this is for an old version of Tracker AFAICS and no longer supported. Can you try 0.6.92, it is vastly superior.

Paul (b01) wrote :

0.6.92 isn't on the main site, but I managed to find it. Building now and will try and see what happens.

Paul (b01) wrote :

Can't complete configure, getting "Couldn't find HAL >= 0.5 and HAL storage".

Chris Coulson (chrisccoulson) wrote :

I've uploaded 0.6.92 for Intrepid in to my PPA, so you can test this if you don't want to install Jaunty (which will have 0.6.92 shortly). Please test and say if the newer version fixes your problem.

My PPA is here: https://edge.launchpad.net/~chrisccoulson/+archive/ppa

Thanks

Changed in tracker (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
Paul (b01) wrote :

Thanks for that but:

sudo apt-get build-dep tracker
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Build-Depends dependency for tracker cannot be satisfied because no available versions of package libraptor1-dev can satisfy version requirements

It's looking for libraptor1-dev (>= 1.4.18-2) which I can't seem to find.

Chris Coulson (chrisccoulson) wrote :

Yeah, I forgot about that - I'll fix that tomorrow

Chris Coulson (chrisccoulson) wrote :

This limitation only applied to QDBM which has been removed in git master. I've added a dummy task and set to fix committed to remind me to add a changelog entry for this bug when I prepare 0.7.0

Changed in tracker (Ubuntu):
status: Incomplete → Triaged
Changed in tracker:
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers